%define req_loudmouth_version 1.0

Summary: GNOME Jabber client
Name: gossip
Version: 0.23
Release: %mkrel 1
License: GPL
Group: Networking/Instant messaging
URL: http://www.imendio.com/projects/gossip/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: loudmouth-devel >= %{req_loudmouth_version}
BuildRequires: libgnomeui2-devel
BuildRequires: libxscrnsaver-devel
BuildRequires: libxslt-devel
BuildRequires: libglade2.0-devel
BuildRequires: dbus-glib-devel
BuildRequires: libnotify-devel
BuildRequires: libgalago-devel
BuildRequires: gnome-panel-devel
BuildRequires: libaspell-devel
BuildRequires: iso-codes
BuildRequires: scrollkeeper
BuildRequires: gnome-doc-utils libxslt-proc
BuildRequires: perl-XML-Parser
BuildRequires: ImageMagick
BuildRequires: desktop-file-utils
Requires(post):	scrollkeeper
Requires(postun):scrollkeeper

%description
Gossip aims at making Jabber easy to use and tries to give GNOME users a
real user friendly way of chatting with their friends.

%prep
%setup -q

%build
%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std _ENABLE_SK=false

%find_lang %{name} --with-gnome
for omf in %buildroot%_datadir/omf/*/*-??.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name.lang
done

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
	command="%{_bindir}/%{name}"\
	needs="X11"\
	section="Internet/Instant Messaging"\
	icon="gossip.png"\
	title="Gossip"\
	longtitle="Jabber Instant Messaging" \
	startup_notify="true" \
	xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="GNOME" \
  --add-category="X-MandrivaLinux-Internet-InstantMessaging" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

mkdir -p %buildroot{%_liconsdir,%_miconsdir}
ln -s %{_datadir}/icons/hicolor/48x48/apps/%name.png %buildroot%_liconsdir/
convert -scale 32 ui/pixmaps/%name.png %buildroot%_iconsdir/%name.png
convert -scale 16 ui/pixmaps/%name.png %buildroot%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%define schemas gossip

%post
%post_install_gconf_schemas %{schemas}
%{update_menus}
%{update_scrollkeeper}
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas %{schemas}

%postun
%{clean_menus}
%{clean_scrollkeeper}
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README ChangeLog AUTHORS
%config(noreplace) %{_sysconfdir}/sound/events/*
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%_libexecdir/*applet
%_libdir/bonobo/servers/GNOME_Peekaboo_Applet.server
%{_datadir}/applications/*
%{_datadir}/gossip
%{_datadir}/sounds/gossip
%_datadir/icons/hicolor/*/apps/*
%{_menudir}/*
%dir %{_datadir}/omf/gossip
%{_datadir}/omf/gossip/gossip-C.omf
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png


%changelog
* Sun Mar 04 2007 Götz Waschk <waschk@mandriva.org> 0.23-1mdv2007.0
+ Revision: 132137
- new version

* Fri Jan 12 2007 Götz Waschk <waschk@mandriva.org> 0.22-2mdv2007.1
+ Revision: 107779
- bump release
- fix buildrequires

* Fri Jan 12 2007 Götz Waschk <waschk@mandriva.org> 0.22-1mdv2007.1
+ Revision: 107759
- new version

* Sat Jan 06 2007 Götz Waschk <waschk@mandriva.org> 0.21-1mdv2007.1
+ Revision: 104813
- new version

* Sat Dec 09 2006 Götz Waschk <waschk@mandriva.org> 0.20-1mdv2007.1
+ Revision: 94107
- new version
- fix buildrequires

* Fri Nov 10 2006 Götz Waschk <waschk@mandriva.org> 0.19-1mdv2007.0
+ Revision: 80521
- new version

* Tue Oct 17 2006 Götz Waschk <waschk@mandriva.org> 0.18-3mdv2007.1
+ Revision: 65889
- fix buildrequires
- rebuild
- new version
  add new files
- Import gossip



* Sun Sep 24 2006 Götz Waschk <waschk@mandriva.org> 0.17-1mdv2007.0
- New version 0.17

* Sun Sep 17 2006 Götz Waschk <waschk@mandriva.org> 0.16-1mdv2007.0
- drop patch
- New version 0.16

* Sun Sep 10 2006 Frederic Crozat <fcrozat@mandriva.com> 0.15-2mdv2007.0
- Patch0 (CVS): various bug fixes from CVS

* Fri Aug 25 2006 Götz Waschk <waschk@mandriva.org> 0.15-1mdv2007.0
- update file list
- New release 0.15

* Fri Aug 04 2006 Götz Waschk <waschk@mandriva.org> 0.14-1mdv2007.0
- New release 0.14

* Mon Jul 31 2006 Götz Waschk <waschk@mandriva.org> 0.13-1mdv2007.0
- New release 0.13

* Wed Jul  5 2006 Götz Waschk <waschk@mandriva.org> 0.12-1mdv2007.0
- reenable dbus and libnotify
- New release 0.12

* Fri Jun 23 2006 Götz Waschk <waschk@mandriva.org> 0.11.2-4mdv2007.0
- fix buildrequires

* Fri Jun 23 2006 Götz Waschk <waschk@mandriva.org> 0.11.2-3mdv2007.0
- fix buildrequires

* Mon Jun 12 2006 Götz Waschk <waschk@mandriva.org> 0.11.2-1
- New release 0.11.2

* Tue May 30 2006 Götz Waschk <waschk@mandriva.org> 0.11.1-1mdv2007.0
- New release 0.11.1

* Tue May  2 2006 Götz Waschk <waschk@mandriva.org> 0.11-1mdk
- update file list
- New release 0.11

* Tue Apr 11 2006 Götz Waschk <waschk@mandriva.org> 0.10.2-2mdk
- fix buildrequires

* Sun Mar 19 2006 Götz Waschk <waschk@mandriva.org> 0.10.2-1mdk
- fix installation
- New release 0.10.2

* Sun Feb 26 2006 Götz Waschk <waschk@mandriva.org> 0.10.1-1mdk
- disable notification
- New release 0.10.1

* Tue Feb 21 2006 Götz Waschk <waschk@mandriva.org> 0.10-2mdk
- add icons
- remove redundant Requires(post)
- fix buildrequires

* Mon Feb 20 2006 Frederic Crozat <fcrozat@mandriva.com> 0.10-1mdk
- Release 0.10
- robustify preun script
- Remove patch 0

* Wed Sep 14 2005 Frederic Crozat <fcrozat@mandriva.com> 0.9-2mdk 
- Patch0: remove some debug output
- use new syntax for prereq

* Tue Aug 16 2005 Frederic Crozat <fcrozat@mandriva.com> 0.9-1mdk 
- Release 0.9

* Wed Mar 02 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-3mdk 
- Don't own /usr/share/applications

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-2mdk 
- Rebuild with latest howl

* Tue Dec 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-1mdk
- New release 0.8

* Fri Sep  3 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.8-1mdk
- New release 0.7.8

* Sun Aug 29 2004 Jerome Soyer <saispo@mandrake.org> 0.7.7-3mdk
- Fix BuildRequires

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.7-2mdk
- Really fix menu

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.7-1mdk
- New release 0.7.7
- Fix menu

* Sat Aug 21 2004 Jerome Soyer wsaispo@mandrake.org> 0.7.6-2mdk
- fix menu entry

* Thu Jun 24 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.6-1mdk
- New release 0.7.6
- Enable libtoolize

* Wed Apr 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.5-1mdk
- New release 0.7.5

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.4-2mdk
- Rebuild against latest gnutls/loudmouth

* Fri Apr 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.4-1mdk
- Release 0.7.4

* Wed Feb 11 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.2-1mdk
- Release 0.7.2

* Thu Jan 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.1-1mdk
- Release 0.7.1

* Sat Dec 27 2003 Abel Cheung <deaddog@deaddog.org> 0.6-2mdk
- Rebuild against new gnutls

* Tue Nov 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-1mdk
- Release 0.6

* Tue Aug 19 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.5-1mdk
- Release 0.5

* Thu Aug  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-2mdk
- Rebuild with latest loudmouth

* Fri Jul 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.4-1mdk
- Release 0.4

* Fri Jul 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.3-1mdk
- First Mandrake package
